mod cm108;
mod config;
mod tty;

use cm108::*;
use config::*;
use tty::*;

use std::thread;
use std::time::Duration;

fn main() {
	let conf = get_conf();
	let mut port = serial::open(&conf.port).unwrap();
	let cm108 = find_cm108_device().expect("Could not find CM108 device");

	let mut gpio = false;
	cm108.set_all_gpio(false).unwrap();
	loop {
		if is_pin_on(&mut port, conf.pin).expect("Error communicating with serial port") != gpio {
			gpio = !gpio;
			cm108.set_all_gpio(gpio).unwrap();
		}
		thread::sleep(Duration::from_millis(1));
	}
}
