use serial::prelude::*;

#[derive(Copy, Clone)]
pub enum SigType {
	Dtr,
	Rts,
}

pub fn is_pin_on<T: SerialPort>(port: &mut T, t: SigType) -> serial::Result<bool> {
	match t {
		SigType::Dtr => port.read_dsr(),
		SigType::Rts => port.read_cts(),
	}
}
